# $Revision: 1.25 $, $Date: 2008/08/19 20:25:28 $
Summary:	Advanced Linux Sound Architecture - OSS compatibility wrapper library & script
Summary(pl.UTF-8):	Advanced Linux Sound Architecture - biblioteka i skrypt kompatybilności z OSS
Name:		alsa-oss
Version:	1.0.17
Release:	1
License:	GPL v2+
Group:		Applications/Sound
Source0:	ftp://ftp.alsa-project.org/pub/oss-lib/%{name}-%{version}.tar.bz2
# Source0-md5:	1b1850c2fc91476a73d50f537cbd402f
Patch0:		%{name}-path.patch
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-lib-devel >= 1.0.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the ALSA -> OSS compatibility library and simple
wrapper script which facilitates its use. This script just sets the
appropriate LD_PRELOAD path and then runs the command.

%description -l pl.UTF-8
Ten pakiet zawiera bibliotekę kompatybilności ALSA -> OSS oraz prosty
wrapper który ułatwia jej użycie, po prostu ustawiając odpowiednie
LD_PRELOAD i uruchamiając polecenie.

%package devel
Summary:	ossredir header file and static library
Summary(pl.UTF-8):	Plik nagłówkowy i biblioteka statyczka ossredir
Group:		Development/Libraries
# doesn't require base on build time (only at runtime...)

%description devel
The purpose of this little piece of code is to redirect OSS (Open
Sound System) calls to any shared library to avoid overhead caused
with the LD_PRELOAD wrapper. Especially, wrapping select() and poll()
functions cause big overhead.

%description devel -l pl.UTF-8
Celem tego małego kawałka kodu jest przekierowanie wywołań OSS (Open
Sound System) do dowolnej biblioteki dzielonej, aby zapobiec narzutowi
wywołanemu przez wrapper LD_PRELOAD. Szczególnie przechwytywanie
select() i poll() powoduje duży narzut.

%prep
%setup -q
%patch0 -p1

%build
cp -f /usr/share/automake/config.sub .
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# useless (preloadable libraries)
rm -f $RPM_BUILD_ROOT%{_libdir}/lib{alsatoss,aoss}.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/aoss
%attr(755,root,root) %{_libdir}/libalsatoss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libalsatoss.so.0
%attr(755,root,root) %{_libdir}/libalsatoss.so
%attr(755,root,root) %{_libdir}/libaoss.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libaoss.so.0
%attr(755,root,root) %{_libdir}/libaoss.so
%{_mandir}/man1/aoss.1*

%files devel
%defattr(644,root,root,755)
%doc oss-redir/README
%{_libdir}/libossredir.a
%{_libdir}/libossredir.la
%{_includedir}/oss-redir.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-oss.spec,v $
Revision 1.25  2008/08/19 20:25:28  qboosh
- updated to 1.0.17

Revision 1.24  2008/01/05 03:09:23  qboosh
- ghost soname symlinks
- GPL v2+

Revision 1.23  2007-11-28 16:52:52  arekm
- rel 2; fix path to libaoss.so

Revision 1.22  2007/10/22 21:33:38  arekm
- up to 1.0.15

Revision 1.21  2007/06/05 20:02:40  rotom
- up to 1.0.14

Revision 1.20  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.18  2006/08/26 12:54:17  qboosh
- updated to 1.0.12

Revision 1.17  2006/04/22 00:13:39  qboosh
- updated to 1.0.11

Revision 1.16  2005/11/19 15:48:44  qboosh
- updated to 1.0.10

Revision 1.15  2005/06/05 09:46:36  qboosh
- updated to 1.0.9

Revision 1.14  2005/05/03 22:15:32  pluto
- refresh config.sub for amd64.

Revision 1.13  2005/05/03 21:04:23  pluto
- release 2 for Th.

Revision 1.12  2005/01/15 17:43:57  qboosh
- updated to 1.0.8

Revision 1.11  2004/11/21 15:19:26  qboosh
- updated to 1.0.7

Revision 1.10  2004/10/16 00:52:41  paladine
- spelling fix

Revision 1.9  2004/08/17 08:14:39  pluto
- updated to 1.0.6.

Revision 1.8  2004/05/30 11:13:45  arekm
- updated to 1.0.5

Revision 1.7  2004/04/16 21:48:54  qboosh
- updated to 1.0.4

Revision 1.6  2004/03/01 20:37:44  qboosh
- updated to 1.0.3a
- added -devel package with ossredir lib (dlopening libalsatoss)

Revision 1.5  2004/01/27 13:02:09  qboosh
- updated to 1.0.2

Revision 1.4  2004/01/09 19:52:31  qboosh
- updated to 1.0.1

Revision 1.3  2003/12/21 00:25:18  qboosh
- shortened summaries a little, cosmetics, cleanups and unifications

Revision 1.2  2003/12/19 19:33:16  maho
- fixed typo in files (now /usr/lib/libaoss.so is also included)

Revision 1.1  2003/12/19 19:22:51  maho
- new , based on alsa-lib.spec
